RNETCLIENT(1)

NAME

rnetclient - Submit the Brazilian Income Tax Report to the Brazilian Tax Authority

SYNOPSIS
rnetclient [-d|--declaration] <FILE> [-o <DIRECTORY>|--output-dir=<DIRECTORY>]

DESCRIPTION

rnetclient is used to send Brazilian tax income reports to Receita Federal, Braziliam Tax Authority. It communicates with the official server from Receita Federal, ensures a secure connection is established, and submits the file. It is the product of reverse-engineering ReceitaNet, which is the proprietary, non-free version of the software that does the same thing as rnetclient.

OPTIONS

-d <FILE>, --declaration=<FILE>
    Provide the declaration (report) filename to be sent to Receita Federal. This argument is mandatory. For historical reasons, the user can also provide the declaration filename without specifying the -d modifier.

-o <DIRECTORY>, --output-dir=<DIRECTORY>
    Specify the output directory where the receipt will be saved. This argument is optional; if no output directory is specified, then the receipt will be saved in the current working directory (CWD).

-V, --version
    Print the program version and exit.

HISTORY AND MOTIVATION

There is no way to talk about rnetclient without mentioning IRPF-Livre, which is an older project started and maintained by Alexandre Oliva. This project exists because Receita Federal, the Brazilian Tax Authority, does not release the source code for the software used to fill the Brazilian Tax Income Report. Alexandre still fights to make Receita Federal release this program as Free Software, but he also decided to produce and release a Free version of the program. However, there was still another closed source software needed to fully be able to do your duties with the Brazilian government: the program used to submit the report to Receita Federal. That is how rnetclient was born.

The program began as a personal project from Thadeu Lima de Souza Cascardo. He had to reverse engineer the proprietary software in order to replicate the functionality, and made the first release on 2013. In 2014, Alexandre Oliva and Sergio Durigan Junior joined efforts and helped in the release of the second version.

BUGS

Bugs should be reported to <softwares-impostos@fsfla.org>.

HOMEPAGE

<http://wiki.libreplanetbr.org/rnetclient>

AUTHORS

Thadeu Lima de Souza Cascardo <cascardo (at) cascardo (dot) info>
Sergio Durigan Junior <sergiodj (at) sergiodj (dot) net>
Alexandre Oliva <lxoliva (at) fsfla (dot) org>